Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.store.optimization
Class IncrementalOptimizerStrategy

    java.lang.Object
      org.hibernate.search.store.optimization.IncrementalOptimizerStrategy

All Implemented Interfaces:
  OptimizerStrategy

    public class IncrementalOptimizerStrategy

extends java.lang.Object
implements OptimizerStrategy

Optimization strategy triggered after a certain amount of operations

Author:
  Emmanuel Bernard

Constructor Summary
`IncrementalOptimizerStrategy()`

Method Summary
`void` | `addTransaction(long operations)` has to be called in a thread safe way
`void` | `initialize(DirectoryProvider directoryProvider, java.util.Properties indexProperties, SearchFactoryImplementor searchFactoryImplementor)`
`boolean` | `needOptimization()` has to be called in a thread safe way
`void` | `optimizationForced()` has to be called in a thread safe way
`void` | `optimize(Workspace workspace)` has to be called in a thread safe way

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncrementalOptimizerStrategy

    public IncrementalOptimizerStrategy()

Method Detail

### initialize

    public void initialize(DirectoryProvider directoryProvider,
                           java.util.Properties indexProperties,
                           SearchFactoryImplementor searchFactoryImplementor)

  Specified by:
    `initialize` in interface `OptimizerStrategy`

### optimizationForced

    public void optimizationForced()

  Description copied from interface: `OptimizerStrategy`
  has to be called in a thread safe way

  Specified by:
    `optimizationForced` in interface `OptimizerStrategy`

### needOptimization

    public boolean needOptimization()

  Description copied from interface: `OptimizerStrategy`
  has to be called in a thread safe way

  Specified by:
    `needOptimization` in interface `OptimizerStrategy`

### addTransaction

    public void addTransaction(long operations)

  Description copied from interface: `OptimizerStrategy`
  has to be called in a thread safe way

  Specified by:
    `addTransaction` in interface `OptimizerStrategy`

### optimize

    public void optimize(Workspace workspace)

  Description copied from interface: `OptimizerStrategy`
  has to be called in a thread safe way

  Specified by:
    `optimize` in interface `OptimizerStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.